/*
 * FILE: config.h
 * 
 * ABSTRACT: defines and prototypes for config.c
 * 
 * $Id: config.h,v 1.2 1998/12/30 19:07:14 rks Exp $
 * 
 * CHANGE LOG:
 * ##  who  ddMmmyy  defect  description
 * --  ---  -------  ------  -------------------------------------------------
 *  0  rks  30Dec98  --      initial
 */ 

#ifndef FD_config_h_
#define FD_config_h_
/* Header file generated with fdesign. */

/** Callback routines and free object handlers **/

extern void cfCheckInputFile(FL_OBJECT *ob, long date);
extern void cfBrowseInputFile(FL_OBJECT *, long);
extern void cfBrowseRegScript(FL_OBJECT *, long);
extern void cfSave(FL_OBJECT *, long);
extern void cfApply(FL_OBJECT *, long);
extern void cfCancel(FL_OBJECT *, long);
extern void cfHelp(FL_OBJECT *, long);
extern void cfSetFontSize(FL_OBJECT *, long);

extern void cfCbUmlaut(FL_OBJECT *, long);
extern void cfCbCase(FL_OBJECT *, long);
extern void cfCbRegExpr(FL_OBJECT *, long);
extern void cfCbPhonetic(FL_OBJECT *, long);
extern void cfCbDupes(FL_OBJECT *, long);
extern void cfCbCheck(FL_OBJECT *, long);

/* configuration file defines */

#define CFG_FILE_NAME ".xreg"

#define YES     1
#define NO      2
#define AUTO    3

#define CFG_FONT        "font"
#define CFG_FONT_SIZE   strlen(CFG_FONT)
#define CFG_FONT_SMALL  "small"
#define CFG_FONT_NORMAL "normal"
#define CFG_FONT_MEDIUM "medium"
#define CFG_FONT_LARGE  "large"

#define CFG_INPUT       "input"
#define CFG_INPUT_SIZE  strlen(CFG_INPUT)

#define CFG_REG         "reg"
#define CFG_REG_SIZE    strlen(CFG_REG)

#define CFG_UMLAUT      "UmlautConvert"
#define CFG_UMLAUT_SIZE strlen(CFG_UMLAUT)

#define CFG_PHONETIC    "Phonetic"
#define CFG_PHONETIC_SIZE strlen(CFG_PHONETIC)

#define CFG_CASE        "CaseSensetive"
#define CFG_CASE_SIZE   strlen(CFG_CASE)

#define CFG_REGEXPR     "RegularExpr"
#define CFG_REGEXPR_SIZE strlen(CFG_REGEXPR)

#define CFG_CHECK       "CheckUpdate"
#define CFG_CHECK_SIZE  strlen(CFG_CHECK)

#define CFG_DUPES       "DelDupes"
#define CFG_DUPES_SIZE  strlen(CFG_DUPES)

#define CFG_YES         "yes"
#define CFG_NO          "no"
#define CFG_AUTO        "auto"


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *config;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *cfInputFile;
	FL_OBJECT *cfRegScript;
	FL_OBJECT *cfApplyButton;
	FL_OBJECT *cfCancelButton;
} FD_config;

extern FD_config * create_form_config(void);
extern FD_config *fd_config;
int verify_new_conf(void);
int read_conf(void);
int write_conf(void);
int verify_conf(void);
int verify_new_conf(void);

#endif /* FD_config_h_ */

/*--------[ END OF FILE config.h ]-------------------------------------------*/
