/*
 * FILE: config_cb.c
 * 
 * ABSTRACT: Callbacks for the configuration window 
 * 
 * $Id: config_cb.c,v 1.2 1998/12/30 19:07:15 rks Exp $
 * 
 * CHANGE LOG:
 * ##  who  ddMmmyy  defect  description
 * ==  ===  =======  ======  =================================================
 *  0  rks  28Jun98  -       initial
 */ 

#include <errno.h>
#include <forms.h>

#include "config.h"
#include "globals.h"
#include "tools.h"
#include "callreg.h"


void cfCheckInputFile(FL_OBJECT *ob, long date)
{
    Window win = fl_winget();

    strcpy(cfNewHeiseFile, fl_get_input(fd_config->cfInputFile));

    begin_work(win, "Checking...");
    check_input(cfNewHeiseFile);
    end_work(win);
}

void cfBrowseInputFile(FL_OBJECT *ob, long data)
{
    const char        *NewFilename;

    NewFilename = fl_show_fselector("Select \"reg\" Perl Script",
            ".", "*.[fF][rR][mM]", "");
    if(NewFilename != NULL)
    {
        fl_set_input(fd_config->cfInputFile, NewFilename);
    }
}

void cfBrowseRegScript(FL_OBJECT *ob, long data)
{
    const char        *NewFilename;

    NewFilename = fl_show_fselector("Select \"reg\" Perl Script",
            ".", "*", "");
    if(NewFilename != NULL)
    {
        fl_set_input(fd_config->cfRegScript, NewFilename);
    }
}

void cfSave(FL_OBJECT *ob, long data)
{
    int rc;

    strcpy(cfNewHeiseFile, fl_get_input(fd_config->cfInputFile));
    strcpy(cfNewRegPerlScript, fl_get_input(fd_config->cfRegScript));
    if(verify_new_conf() == 0) 
    {
        rc = write_conf();
        if(rc)
        {
            status("Configuration: save failed");
            fl_show_alert("Save Config", "Write failed", strerror(errno), 0);
        }
        else
        {
            status("Configuration saved");
            fl_show_message("Configuration sucessfully written.", "", "");
        }
    }
}

void cfSetFontSize(FL_OBJECT *ob, long data)
{
    cfNewFontSize = data;

    if(NULL != fd_main)
    {
        fl_set_browser_fontsize(fd_main->List, cfNewFontSize);
        fl_set_browser_fontsize(fd_main->Output, cfNewFontSize);
    }
    else
    {
        cfFontSize = cfNewFontSize;
    }
}


void cfCbUmlaut(FL_OBJECT *ob, long data)
{
    int         i;

    i = fl_get_choice(ob);
    cfNewUmlaut = i;
}

void cfCbCase(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
    int         i;

    i = fl_get_choice(ob);
    cfNewCase = i;
}

void cfCbRegExpr(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
    int         i;

    i = fl_get_choice(ob);
    cfNewRegExpr = i;
}

void cfCbPhonetic(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
    int         i;

    i = fl_get_choice(ob);
    cfNewPhonetic = i;
}

void cfCbDupes(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
    int         i;

    i = fl_get_choice(ob);
    cfNewDupes = i;
}

void cfCbCheck(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
    int         i;

    i = fl_get_choice(ob);
    cfNewCheck = i;
}

/*--------[ END OF FILE config_cb.c ]----------------------------------------*/
