/*
 * FILE: globals.h
 * 
 * ABSTRACT: Deklaration/definition of global vars
 * 
 * $Id: globals.h,v 1.2 1998/12/30 19:07:18 rks Exp $
 * 
 * CHANGE LOG:
 * ##  who  ddMmmyy  defect  description
 * --  ---  -------  ------  -------------------------------------------------
 *  0  rks  18Oct98  --      initial
 */ 

#ifndef globals_h_INCLUDED
#define globals_h_INCLUDED

#include "mask.h"
#include "config.h"

#define QI(x) #x
#define QUOTE_IT(x) QI(x)

#ifndef HEISEFILE
#   define HEISEFILE Edit the Makefile!
#endif
#ifndef REGSCRIPT
#   define REGSCRIPT Edit the Makefile!
#endif

#ifdef MAIN
#   define EXTERN
#   define INIT(x) = x
#else
#   define EXTERN extern
#   define INIT(x)
#endif

char          **glob_env;

EXTERN FD_main        *fd_main;
EXTERN FL_OBJECT      *msg_box;
EXTERN FL_OBJECT      *info_obj;

EXTERN char          **fulltext                  INIT(NULL);
EXTERN int             match_count               INIT(0);

EXTERN char            ParamUmlaut[32];
EXTERN char            ParamCase[32];
EXTERN char            ParamRegEx[32];
EXTERN char            ParamPhonetic[32];

EXTERN int             cfFontSize                INIT(FL_MEDIUM_SIZE);
EXTERN char            cfHeiseFile[1024]         INIT(QUOTE_IT(HEISEFILE));
EXTERN char            cfRegPerlScript[1024]     INIT(QUOTE_IT(REGSCRIPT));
EXTERN int             cfUmlaut                  INIT(AUTO);
EXTERN int             cfCase                    INIT(AUTO);
EXTERN int             cfRegExpr                 INIT(AUTO);
EXTERN int             cfPhonetic                INIT(NO);
EXTERN int             cfCheck                   INIT(YES);
EXTERN int             cfDupes                   INIT(YES);


EXTERN int             cfNewFontSize;
EXTERN char            cfNewHeiseFile[1024];
EXTERN char            cfNewRegPerlScript[1024];
EXTERN int             cfNewUmlaut               INIT(AUTO);
EXTERN int             cfNewCase                 INIT(AUTO);
EXTERN int             cfNewRegExpr              INIT(AUTO);
EXTERN int             cfNewPhonetic             INIT(NO);
EXTERN int             cfNewCheck                INIT(YES);
EXTERN int             cfNewDupes                INIT(YES);

EXTERN char           *TestFile                  INIT(NULL);

#endif /* ! globals_h_INCLUDED */

/*--------[ END OF FILE globals.h ]------------------------------------------*/
